Platform Specific
These API endpoints are related to platform specific endpoints such as fetching discord users etc
This endpoint will return a user object based on the user id for a given platform. This is useful for getting a user's avatar/username/discriminator etc.
id*stringThe user's ID
platform*stringThe platform to get the user from.
Success
application/json- response
avatar?stringThe users resolved avatar URL for the platform (not just hash)
bot?booleanWhether the user is a bot or not
display_name?stringThe users global display name, if the user still has a discriminator, this will be username+hashtag+discriminator
extra_data?Platform specific extra data
flags?array<>The users flags. Note that dovewing has its own list of flags
id?stringThe users ID
status?stringThe users current status
username?stringThe users username
curl -X GET 'https://spider.omniplex.gg/platform/user/string?platform=string'{ "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string"}Clears the cached profile for your own account on a given platform, so the next read refetches it. Requires a user session for the same ID
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringThe user's ID
platform*stringThe platform to get the user from.
Success
response?dovewing.ClearUserInfoapplication/jsoncurl -X DELETE 'https://spider.omniplex.gg/platform/user/string?platform=string'null